Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.utility
Class GLSLManagedShader

    java.lang.Object
      de.grogra.imp3d.glsl.utility.GLSLShader
          de.grogra.imp3d.glsl.utility.GLSLManagedShader

All Implemented Interfaces:
  GLSLOpenGLObject

Direct Known Subclasses:
  GLSLLightShader, GLSLMaterial

    public abstract class GLSLManagedShader

extends GLSLShader

Represents a class of Shaders that need to be recompiled for every property change. (e.g GLSLPhong)

Author:
  Konni Hartmann

Field Summary
`protected ShaderConfiguration` | `config`

Constructor Summary
`GLSLManagedShader()`

Method Summary
`void` | `deleteShader(javax.media.opengl.GL gl, boolean javaonly)` Remove OpenGL side of this shader
`ShaderConfiguration` | `getConfig()`
`int` | `getMaterial_stamp()`
`void` | `setConfig(ShaderConfiguration config)`
`void` | `setMaterial_stamp(int material_stamp)`

Methods inherited from class de.grogra.imp3d.glsl.utility.GLSLShader
`activateShader, cleanup, getFragmentShader, getInstance, getShaderProgramNumber, getVertexShader, instanceFor, needsRecompilation, printProgramInfoLog, setupDynamicUniforms, setupShader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected ShaderConfiguration config

Constructor Detail

### GLSLManagedShader

    public GLSLManagedShader()

Method Detail

### deleteShader

    public void deleteShader(javax.media.opengl.GL gl,
                             boolean javaonly)

  Description copied from class: `GLSLShader`
  Remove OpenGL side of this shader

  Overrides:
    `deleteShader` in class `GLSLShader`

### getConfig

    public ShaderConfiguration getConfig()

### getMaterial_stamp

    public int getMaterial_stamp()

### setConfig

    public void setConfig(ShaderConfiguration config)

### setMaterial_stamp

    public void setMaterial_stamp(int material_stamp)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD